package Models.Program;

import java.util.Hashtable;

import Exceptions.BaseException;
import Models.Values.IValue;

public interface IHeap {
    public Integer getFreeAddress();
    public Integer add(IValue value);
    public void update(Integer address, IValue value) throws BaseException;
    public IValue get(Integer address) throws BaseException;
    public void remove(Integer address) throws BaseException;
    public Boolean contains(Integer address);
    public Hashtable<Integer, IValue> getContent();
    public void setContent(Hashtable<Integer, IValue> content);
}
